Summary:	Netscape Portable Runtime (NSPR)
Summary(pl.UTF-8):	Przenośne biblioteki uruchomieniowe Netscape
Name:		nspr
Version:	4.9.2
Release:	1
Epoch:		1
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.mozilla.org/pub/mozilla.org/nspr/releases/v%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	1a8cad110e0ae94f538610a00f595b33
Patch0:		%{name}-acfix.patch
Patch1:		%{name}-sparc64.patch
Patch2:		%{name}-pc.patch
URL:		http://www.mozilla.org/projects/nspr/
BuildRequires:	autoconf >= 2.12
BuildRequires:	automake
BuildRequires:	sed >= 4.0
Obsoletes:	nspr-pthreads
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libraries that implement cross-platform runtime services from
Netscape.

%description -l pl.UTF-8
Biblioteki z wieloplatformową implementacją usług
uruchomieniowych Netscape'a.

%package devel
Summary:	NSPR library header files for development
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek NSPR
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	nspr-pthreads-devel

%description devel
Header files for the NSPR library from Netscape.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek NSPR Netscape'a.

%package static
Summary:	Static NSPR library
Summary(pl.UTF-8):	Statyczna biblioteka NSPR
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	nspr-pthreads-static

%description static
Static NSPR library.

%description static -l pl.UTF-8
Statyczna biblioteka NSPR.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

# Win32-specific, requires autoconf2.13
%{__rm} mozilla/nsprpub/build/autoconf/acwinpaths.m4 \
	mozilla/nsprpub/aclocal.m4

%build
cd mozilla/nsprpub
cp -f /usr/share/automake/config.sub build/autoconf
%{__autoconf}
%configure \
	--includedir=%{_includedir}/nspr \
%ifarch %{x8664} ppc64
	--enable-64bit \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug \
	--enable-ipv6 \
	--enable-optimize="%{rpmcflags}" \
	--with-mozilla \
	--with-pthreads

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}

%{__make} -C mozilla/nsprpub install \
	DESTDIR=$RPM_BUILD_ROOT

# for compatibility (upstream installs only nspr.nc); to be dropped sometime?
ln -s nspr.pc $RPM_BUILD_ROOT%{_pkgconfigdir}/mozilla-nspr.pc

%{__rm} $RPM_BUILD_ROOT%{_bindir}/{compile-et.pl,prerr.properties}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnspr4.so
%attr(755,root,root) %{_libdir}/libplc4.so
%attr(755,root,root) %{_libdir}/libplds4.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nspr-config
%{_includedir}/nspr
%{_aclocaldir}/nspr.m4
%{_pkgconfigdir}/mozilla-nspr.pc
%{_pkgconfigdir}/nspr.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnspr4.a
%{_libdir}/libplc4.a
%{_libdir}/libplds4.a
%changelog
* Thu Aug 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 7a34daa
- updated to 4.9.2

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 232d413
- updated to 4.9.1
- upstream now installs nspr.pc, so use it instead of additional source;
  added pc patch to provide Libs.private, include mozilla-nspr.pc symlink for compatibility

* Wed Feb 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 03280b3
- updated to 4.9
- updated acfix patch

* Sun Aug 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e38160e
- up to 4.8.9

* Wed May 11 2011 Jakub Bogusz <qboosh@pld-linux.org> f292d21
- updated to 4.8.8

* Sat Jan 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 5929975
- updated to 4.8.7

* Thu Nov 18 2010 hawk <hawk@pld-linux.org> 7272836
- release 2

* Tue Aug 10 2010 Jakub Bogusz <qboosh@pld-linux.org> ae2eeb3
- updated to 4.8.6

* Tue Mar 23 2010 Jakub Bogusz <qboosh@pld-linux.org> 478a051
- updated to 4.8.4

* Tue Feb 09 2010 Jakub Bogusz <qboosh@pld-linux.org> a451f86
- updated to 4.8.3

* Tue Nov 10 2009 Jakub Bogusz <qboosh@pld-linux.org> 87f6eb8
- updated to 4.8.2

* Tue Jun 30 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> b2ac82f
- updated to 4.8 (merged from DEVEL)

* Thu Nov 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 17732a8
- updated to 4.7.3

* Sat Nov 01 2008 Jakub Bogusz <qboosh@pld-linux.org> ce16f52
- updated to 4.7.2

* Fri Jul 18 2008 Elan Ruusamäe <glen@pld-linux.org> b6315f2
- release 2

* Wed Jun 04 2008 Jakub Bogusz <qboosh@pld-linux.org> a842ef1
- updated to 4.7.1
- updated acfix patch to fix autoconf 2.62 issues

* Wed Jun 04 2008 Jakub Bogusz <qboosh@pld-linux.org> a4d46ce
- for 4.7.1, added fix for autoconf 2.62

* Tue Feb 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 611b3d1
- no extra newlines

* Tue Feb 26 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b78bd2f
- rel 3; fix -I in pc

* Tue Feb 26 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fb5437b
- fix includedir

